Cumulus TalosDocs
Open Talos
On this page

publications.get

Get one publication with its compiled plan

Request

GET /api/v1/agents/{agent_id}/publications/{version}

  • MCP: publications_get
  • SDK: client.publications.get (SDK path arguments use path; MCP uses params).
  • Minimum API key role: viewer.
  • Idempotency: none.

Use the request schema below. Read IDs from earlier operation results.

Input schema

json
{
  "parameters": [
    {
      "name": "agent_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 256,
        "pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
      }
    },
    {
      "name": "version",
      "in": "path",
      "required": true,
      "schema": {
        "type": "integer",
        "minimum": 0,
        "maximum": 2147483647
      }
    }
  ],
  "requestBody": null
}

Responses

json
{
  "200": {
    "description": "Get one publication with its compiled plan",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/PublicationsGetResponse200"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}

Referenced schemas

json
{
  "components": {
    "schemas": {
      "PublicationsGetResponse200": {
        "type": "object",
        "properties": {
          "ref": {
            "$ref": "#/components/schemas/PublicationRef"
          },
          "published_at": {
            "type": "string",
            "format": "date-time"
          },
          "published_by": {
            "allOf": [
              {
                "$ref": "#/components/schemas/PrincipalRef"
              }
            ],
            "nullable": true
          },
          "is_head": {
            "type": "boolean"
          },
          "test": {
            "type": "boolean"
          },
          "plan": {
            "$ref": "#/components/schemas/PublicationPlan"
          },
          "layout": {
            "$ref": "#/components/schemas/AgentLayout"
          }
        },
        "required": [
          "ref",
          "published_at",
          "published_by",
          "is_head",
          "test",
          "plan",
          "layout"
        ],
        "additionalProperties": false
      },
      "PublicationRef": {
        "type": "object",
        "properties": {
          "agent_id": {
            "type": "string",
            "minLength": 1,
            "maxLength": 256,
            "pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
          },
          "version": {
            "type": "integer",
            "minimum": 0,
            "maximum": 2147483647
          },
          "digest": {
            "type": "string",
            "pattern": "^sha256:[a-f0-9]{64}$"
          }
        },
        "required": [
          "agent_id",
          "version",
          "digest"
        ],
        "additionalProperties": false
      },
      "PrincipalRef": {
        "anyOf": [
          {
            "type": "object",
            "properties": {
              "owner_id": {
                "type": "string",
                "minLength": 1
              },
              "environment": {
                "type": "string",
                "minLength": 1
              },
              "kind": {
                "type": "string",
                "enum": [
                  "user"
                ]
              },
              "id": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "owner_id",
              "environment",
              "kind",
              "id"
            ],
            "additionalProperties": false
          },
          {
            "type": "object",
            "properties": {
              "owner_id": {
                "type": "string",
                "minLength": 1
              },
              "environment": {
                "type": "string",
                "minLength": 1
              },
              "kind": {
                "type": "string",
                "enum": [
                  "api_key"
                ]
              },
              "id": {
                "type": "string",
                "format": "uuid"
              }
            },
            "required": [
              "owner_id",
              "environment",
              "kind",
              "id"
            ],
            "additionalProperties": false
          },
          {
            "type": "object",
            "properties": {
              "owner_id": {
                "type": "string",
                "minLength": 1
              },
              "environment": {
                "type": "string",
                "minLength": 1
              },
              "kind": {
                "type": "string",
                "enum": [
                  "system"
                ]
              },
              "id": {
                "type": "string",
                "minLength": 1,
                "maxLength": 256
              }
            },
            "required": [
              "owner_id",
              "environment",
              "kind",
              "id"
            ],
            "additionalProperties": false
          }
        ]
      },
      "PublicationPlan": {
        "type": "object",
        "properties": {
          "plan_schema_version": {
            "type": "number",
            "enum": [
              2
            ]
          },
          "compiler": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "enum": [
                  "talos-compiler"
                ]
              },
              "version": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "name",
              "version"
            ],
            "additionalProperties": false
          },
          "agent": {
            "type": "object",
            "properties": {
              "agent_id": {
                "type": "string",
                "minLength": 1,
                "maxLength": 256,
                "pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
              },
              "version": {
                "type": "integer",
                "minimum": 0,
                "maximum": 2147483647
              },
              "name": {
                "type": "string",
                "minLength": 1,
                "maxLength": 256
              }
            },
            "required": [
              "agent_id",
              "version",
              "name"
            ],
            "additionalProperties": false
          },
          "source": {
            "type": "object",
            "properties": {
              "kind": {
                "type": "string",
                "enum": [
                  "studio",
                  "retell_import",
                  "api"
                ]
              },
              "sha256": {
                "type": "string",
                "pattern": "^[a-f0-9]{64}$"
              }
            },
            "required": [
              "kind",
              "sha256"
            ],
            "additionalProperties": false
          },
          "channels": {
            "type": "object",
            "properties": {
              "cloud": {
                "type": "object",
                "properties": {
                  "modes": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "enum": [
                        "task",
                        "chat",
                        "background"
                      ]
                    },
                    "minItems": 1
                  },
                  "input_schema": {
                    "type": "object",
                    "additionalProperties": {}
                  },
                  "output_schema": {
                    "type": "object",
                    "additionalProperties": {}
                  },
                  "max_turns": {
                    "type": "integer",
                    "minimum": 1,
                    "maximum": 200
                  },
                  "idle_timeout_ms": {
                    "type": "integer",
                    "minimum": 10000,
                    "maximum": 86400000
                  },
                  "deadline_ms": {
                    "type": "integer",
                    "minimum": 1000,
                    "maximum": 3600000
                  }
                },
                "required": [
                  "modes",
                  "input_schema",
                  "output_schema",
                  "max_turns",
                  "idle_timeout_ms",
                  "deadline_ms"
                ],
                "additionalProperties": false,
                "nullable": true
              },
              "phone": {
                "type": "object",
                "properties": {
                  "telephony": {
                    "type": "object",
                    "properties": {
                      "trunk_id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "from": {
                        "type": "string",
                        "pattern": "^\\+[1-9][0-9]{6,14}$",
                        "nullable": true
                      }
                    },
                    "required": [
                      "trunk_id",
                      "from"
                    ],
                    "additionalProperties": false,
                    "nullable": true
                  },
                  "settings": {
                    "type": "object",
                    "additionalProperties": {}
                  },
                  "recording": {
                    "type": "object",
                    "properties": {
                      "required": {
                        "type": "boolean"
                      },
                      "channels": {
                        "type": "string",
                        "enum": [
                          "dual"
                        ]
                      }
                    },
                    "required": [
                      "required",
                      "channels"
                    ],
                    "additionalProperties": false
                  }
                },
                "required": [
                  "telephony",
                  "settings",
                  "recording"
                ],
                "additionalProperties": false,
                "nullable": true
              }
            },
            "required": [
              "cloud",
              "phone"
            ],
            "additionalProperties": false
          },
          "languages": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "en",
                "es"
              ]
            },
            "minItems": 1
          },
          "flow": {
            "$ref": "#/components/schemas/PlanFlow"
          },
          "actions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "binding_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 128
                },
                "action": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "version": {
                      "type": "integer",
                      "exclusiveMinimum": true,
                      "minimum": 0
                    }
                  },
                  "required": [
                    "id",
                    "version"
                  ],
                  "additionalProperties": false
                },
                "config": {
                  "type": "object",
                  "additionalProperties": {}
                },
                "secret_refs": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "version": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      }
                    },
                    "required": [
                      "id",
                      "version"
                    ],
                    "additionalProperties": false
                  }
                },
                "node_ids": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1
                  }
                }
              },
              "required": [
                "binding_id",
                "action",
                "config",
                "secret_refs",
                "node_ids"
              ],
              "additionalProperties": false
            }
          },
          "notifications": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 128
                },
                "url": {
                  "type": "string",
                  "format": "uri"
                },
                "secret_ref": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 128
                    },
                    "version": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 128
                    }
                  },
                  "required": [
                    "id",
                    "version"
                  ],
                  "additionalProperties": false
                },
                "format": {
                  "type": "string",
                  "enum": [
                    "semantic.v1"
                  ]
                },
                "events": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "enum": [
                      "run.admitted",
                      "run.ended",
                      "recording.updated",
                      "analysis.updated"
                    ]
                  },
                  "minItems": 1
                }
              },
              "required": [
                "id",
                "url",
                "secret_ref",
                "format",
                "events"
              ],
              "additionalProperties": false
            }
          },
          "knowledge": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "pin_id": {
                  "type": "string",
                  "format": "uuid"
                },
                "generation_id": {
                  "type": "string",
                  "format": "uuid"
                },
                "model_identity": {
                  "$ref": "#/components/schemas/ModelIdentity"
                },
                "dimension": {
                  "type": "integer",
                  "exclusiveMinimum": true,
                  "minimum": 0
                },
                "document_ids": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "format": "uuid"
                  },
                  "minItems": 1
                },
                "documents_sha256": {
                  "type": "string",
                  "pattern": "^[a-f0-9]{64}$"
                }
              },
              "required": [
                "pin_id",
                "generation_id",
                "model_identity",
                "dimension",
                "document_ids",
                "documents_sha256"
              ],
              "additionalProperties": false
            }
          },
          "triggers": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "kind": {
                      "type": "string",
                      "enum": [
                        "schedule"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 128
                    },
                    "cron": {
                      "type": "string",
                      "pattern": "^(\\S+\\s+){4}\\S+$"
                    },
                    "timezone": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 64
                    },
                    "input": {
                      "type": "object",
                      "additionalProperties": {}
                    }
                  },
                  "required": [
                    "kind",
                    "id",
                    "cron",
                    "timezone",
                    "input"
                  ],
                  "additionalProperties": false
                },
                {
                  "type": "object",
                  "properties": {
                    "kind": {
                      "type": "string",
                      "enum": [
                        "event"
                      ]
                    },
                    "id": {
                      "type": "string",
                      "minLength": 1,
                      "maxLength": 128
                    },
                    "event_type": {
                      "type": "string",
                      "enum": [
                        "run.ended",
                        "analysis.updated"
                      ]
                    },
                    "source": {
                      "type": "object",
                      "properties": {
                        "agent_id": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 256,
                          "pattern": "^[A-Za-z0-9][A-Za-z0-9_.:-]*$"
                        },
                        "channel": {
                          "type": "string",
                          "enum": [
                            "cloud",
                            "phone",
                            "web"
                          ]
                        },
                        "dispositions": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "minLength": 1
                          },
                          "maxItems": 32
                        }
                      },
                      "additionalProperties": false
                    },
                    "input_mapping": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "string",
                        "pattern": "^\\/[A-Za-z0-9_/-]*$"
                      }
                    }
                  },
                  "required": [
                    "kind",
                    "id",
                    "event_type",
                    "source",
                    "input_mapping"
                  ],
                  "additionalProperties": false
                }
              ]
            }
          },
          "providers": {
            "type": "object",
            "properties": {
              "llm": {
                "type": "object",
                "properties": {
                  "model": {
                    "$ref": "#/components/schemas/ModelIdentity"
                  },
                  "route": {
                    "type": "string",
                    "enum": [
                      "platform",
                      "fleet",
                      "simulated"
                    ]
                  },
                  "credential": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "version": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "provider": {
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      }
                    },
                    "required": [
                      "id",
                      "version",
                      "provider"
                    ],
                    "additionalProperties": false,
                    "nullable": true
                  }
                },
                "required": [
                  "model",
                  "route",
                  "credential"
                ],
                "additionalProperties": false
              },
              "analysis": {
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "model": {
                        "$ref": "#/components/schemas/ModelIdentity"
                      },
                      "route": {
                        "type": "string",
                        "enum": [
                          "platform",
                          "fleet",
                          "simulated"
                        ]
                      },
                      "credential": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 128
                          },
                          "version": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 128
                          },
                          "provider": {
                            "type": "string",
                            "minLength": 1,
                            "maxLength": 128
                          }
                        },
                        "required": [
                          "id",
                          "version",
                          "provider"
                        ],
                        "additionalProperties": false,
                        "nullable": true
                      }
                    },
                    "required": [
                      "model",
                      "route",
                      "credential"
                    ],
                    "additionalProperties": false
                  }
                ],
                "nullable": true
              },
              "stt": {
                "type": "object",
                "properties": {
                  "provider": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 128
                  },
                  "model": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 128
                  },
                  "route": {
                    "type": "string",
                    "enum": [
                      "platform",
                      "fleet",
                      "simulated"
                    ]
                  },
                  "languages": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "enum": [
                        "en",
                        "es"
                      ]
                    },
                    "minItems": 1
                  }
                },
                "required": [
                  "provider",
                  "model",
                  "route",
                  "languages"
                ],
                "additionalProperties": false,
                "nullable": true
              },
              "tts": {
                "type": "object",
                "properties": {
                  "provider": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 128
                  },
                  "model": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 128
                  },
                  "voice_id": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 128
                  },
                  "route": {
                    "type": "string",
                    "enum": [
                      "platform",
                      "simulated"
                    ]
                  },
                  "languages": {
                    "type": "array",
                    "items": {
                      "type": "string",
                      "enum": [
                        "en",
                        "es"
                      ]
                    },
                    "minItems": 1
                  }
                },
                "required": [
                  "provider",
                  "model",
                  "voice_id",
                  "route",
                  "languages"
                ],
                "additionalProperties": false,
                "nullable": true
              }
            },
            "required": [
              "llm",
              "analysis",
              "stt",
              "tts"
            ],
            "additionalProperties": false
          },
          "analysis": {
            "type": "array",
            "items": {
              "type": "object",
              "additionalProperties": {}
            }
          },
          "policy": {
            "type": "object",
            "properties": {
              "policy_version": {
                "type": "string",
                "pattern": "^[a-f0-9]{12}$"
              }
            },
            "required": [
              "policy_version"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "plan_schema_version",
          "compiler",
          "agent",
          "source",
          "channels",
          "languages",
          "flow",
          "actions",
          "notifications",
          "knowledge",
          "triggers",
          "providers",
          "analysis",
          "policy"
        ],
        "additionalProperties": false
      },
      "PlanFlow": {
        "type": "object",
        "properties": {
          "schemaVersion": {
            "type": "number",
            "enum": [
              2
            ]
          },
          "compilerVersion": {
            "type": "string",
            "minLength": 1
          },
          "sourceHash": {
            "type": "string",
            "pattern": "^[a-f0-9]{64}$"
          },
          "id": {
            "type": "string",
            "minLength": 1
          },
          "version": {
            "type": "integer",
            "minimum": 0
          },
          "startNodeId": {
            "type": "string",
            "minLength": 1
          },
          "startSpeaker": {
            "type": "string",
            "enum": [
              "agent",
              "user"
            ]
          },
          "globalPrompt": {
            "type": "string"
          },
          "nodes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PlanFlowNode"
            }
          },
          "components": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "minLength": 1
                },
                "startNodeId": {
                  "type": "string",
                  "minLength": 1
                },
                "nodes": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PlanFlowNode"
                  }
                },
                "tools": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "minLength": 1
                      },
                      "type": {
                        "type": "string",
                        "enum": [
                          "custom"
                        ]
                      },
                      "name": {
                        "type": "string",
                        "minLength": 1
                      },
                      "description": {
                        "type": "string"
                      },
                      "url": {
                        "type": "string"
                      },
                      "method": {
                        "type": "string",
                        "enum": [
                          "GET",
                          "POST",
                          "PUT",
                          "PATCH",
                          "DELETE"
                        ]
                      },
                      "headers": {
                        "type": "object",
                        "additionalProperties": {
                          "type": "string"
                        }
                      },
                      "queryParams": {
                        "type": "object",
                        "additionalProperties": {
                          "type": "string"
                        }
                      },
                      "credential": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid"
                          },
                          "version": {
                            "type": "string",
                            "pattern": "^[a-f0-9]{64}$"
                          }
                        },
                        "required": [
                          "id",
                          "version"
                        ],
                        "additionalProperties": false
                      },
                      "parameters": {
                        "type": "object",
                        "additionalProperties": {}
                      },
                      "responseVariables": {
                        "type": "object",
                        "additionalProperties": {
                          "type": "string"
                        }
                      },
                      "timeoutMs": {
                        "type": "integer"
                      },
                      "argsAtRoot": {
                        "type": "boolean"
                      },
                      "parameterType": {
                        "type": "string",
                        "enum": [
                          "json"
                        ]
                      },
                      "speakAfterExecution": {
                        "type": "boolean"
                      }
                    },
                    "required": [
                      "id",
                      "type",
                      "name",
                      "description",
                      "url",
                      "method",
                      "headers",
                      "queryParams",
                      "parameters",
                      "responseVariables",
                      "timeoutMs",
                      "argsAtRoot",
                      "parameterType"
                    ],
                    "additionalProperties": false
                  }
                },
                "flexMode": {
                  "type": "boolean"
                }
              },
              "required": [
                "id",
                "startNodeId",
                "nodes",
                "tools"
              ],
              "additionalProperties": false
            }
          },
          "tools": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "minLength": 1
                },
                "type": {
                  "type": "string",
                  "enum": [
                    "custom"
                  ]
                },
                "name": {
                  "type": "string",
                  "minLength": 1
                },
                "description": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                },
                "method": {
                  "type": "string",
                  "enum": [
                    "GET",
                    "POST",
                    "PUT",
                    "PATCH",
                    "DELETE"
                  ]
                },
                "headers": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                },
                "queryParams": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                },
                "credential": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "version": {
                      "type": "string",
                      "pattern": "^[a-f0-9]{64}$"
                    }
                  },
                  "required": [
                    "id",
                    "version"
                  ],
                  "additionalProperties": false
                },
                "parameters": {
                  "type": "object",
                  "additionalProperties": {}
                },
                "responseVariables": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                },
                "timeoutMs": {
                  "type": "integer"
                },
                "argsAtRoot": {
                  "type": "boolean"
                },
                "parameterType": {
                  "type": "string",
                  "enum": [
                    "json"
                  ]
                },
                "speakAfterExecution": {
                  "type": "boolean"
                }
              },
              "required": [
                "id",
                "type",
                "name",
                "description",
                "url",
                "method",
                "headers",
                "queryParams",
                "parameters",
                "responseVariables",
                "timeoutMs",
                "argsAtRoot",
                "parameterType"
              ],
              "additionalProperties": false
            }
          },
          "defaultDynamicVariables": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "modelChoice": {
            "type": "object",
            "properties": {
              "model": {
                "$ref": "#/components/schemas/ModelIdentity"
              },
              "credential": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  "version": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  "provider": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  }
                },
                "required": [
                  "id",
                  "version",
                  "provider"
                ],
                "additionalProperties": false
              },
              "type": {
                "type": "string",
                "enum": [
                  "cascading"
                ]
              },
              "highPriority": {
                "type": "boolean"
              },
              "reasoningEffort": {
                "type": "string",
                "enum": [
                  "low",
                  "medium",
                  "high"
                ]
              }
            },
            "required": [
              "model",
              "type",
              "highPriority"
            ],
            "additionalProperties": false
          },
          "toolCallStrictMode": {
            "type": "boolean"
          }
        },
        "required": [
          "schemaVersion",
          "compilerVersion",
          "sourceHash",
          "id",
          "version",
          "startNodeId",
          "startSpeaker",
          "globalPrompt",
          "nodes",
          "components",
          "tools",
          "defaultDynamicVariables",
          "toolCallStrictMode"
        ],
        "additionalProperties": false
      },
      "PlanFlowNode": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "kind": {
            "type": "string",
            "enum": [
              "conversation",
              "end",
              "branch",
              "transfer_call",
              "function",
              "extract_dynamic_variables",
              "component"
            ]
          },
          "name": {
            "type": "string"
          },
          "instruction": {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "prompt",
                  "static_text"
                ]
              },
              "text": {
                "type": "string"
              }
            },
            "required": [
              "type",
              "text"
            ],
            "additionalProperties": false
          },
          "edges": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "minLength": 1
                },
                "destinationNodeId": {
                  "type": "string",
                  "minLength": 1
                },
                "slot": {
                  "type": "string",
                  "enum": [
                    "edges",
                    "else_edge",
                    "skip_response_edge",
                    "always_edge",
                    "edge",
                    "success_edge"
                  ]
                },
                "condition": {
                  "anyOf": [
                    {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "always"
                          ]
                        }
                      },
                      "required": [
                        "type"
                      ],
                      "additionalProperties": false
                    },
                    {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "prompt"
                          ]
                        },
                        "prompt": {
                          "type": "string"
                        }
                      },
                      "required": [
                        "type",
                        "prompt"
                      ],
                      "additionalProperties": false
                    },
                    {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "equation"
                          ]
                        },
                        "operator": {
                          "type": "string",
                          "enum": [
                            "&&",
                            "||"
                          ]
                        },
                        "equations": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "left": {
                                "type": "string"
                              },
                              "operator": {
                                "type": "string",
                                "enum": [
                                  "==",
                                  "!=",
                                  ">",
                                  "<",
                                  ">=",
                                  "<=",
                                  "contains",
                                  "is_set",
                                  "is_not_set"
                                ]
                              },
                              "right": {
                                "type": "string"
                              }
                            },
                            "required": [
                              "left",
                              "operator",
                              "right"
                            ],
                            "additionalProperties": false
                          },
                          "minItems": 1
                        }
                      },
                      "required": [
                        "type",
                        "operator",
                        "equations"
                      ],
                      "additionalProperties": false
                    }
                  ]
                },
                "label": {
                  "type": "string"
                },
                "compliance": {
                  "type": "object",
                  "properties": {
                    "sets": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "enum": [
                          "rpc_confirmed"
                        ]
                      },
                      "minItems": 1
                    }
                  },
                  "required": [
                    "sets"
                  ],
                  "additionalProperties": false
                }
              },
              "required": [
                "slot",
                "condition"
              ],
              "additionalProperties": false
            }
          },
          "startSpeaker": {
            "type": "string",
            "enum": [
              "agent",
              "user"
            ]
          },
          "interruptionSensitivity": {
            "type": "number"
          },
          "voiceSpeed": {
            "type": "number"
          },
          "languageLocked": {
            "type": "boolean"
          },
          "globalNodeSetting": {
            "type": "object",
            "properties": {
              "condition": {
                "type": "string"
              },
              "coolDown": {
                "type": "number"
              }
            },
            "required": [
              "condition"
            ],
            "additionalProperties": false
          },
          "speakDuringExecution": {
            "type": "boolean"
          },
          "executionMessage": {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "enum": [
                  "prompt",
                  "static_text"
                ]
              },
              "text": {
                "type": "string"
              }
            },
            "required": [
              "type",
              "text"
            ],
            "additionalProperties": false
          },
          "toolId": {
            "type": "string",
            "minLength": 1
          },
          "waitForResult": {
            "type": "boolean"
          },
          "transfer": {
            "type": "object",
            "properties": {
              "destination": {
                "anyOf": [
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "predefined"
                        ]
                      },
                      "number": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "number"
                    ],
                    "additionalProperties": false
                  },
                  {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "inferred"
                        ]
                      },
                      "prompt": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "prompt"
                    ],
                    "additionalProperties": false
                  }
                ]
              },
              "option": {
                "type": "object",
                "properties": {
                  "type": {
                    "type": "string",
                    "enum": [
                      "cold_transfer",
                      "warm_transfer"
                    ]
                  },
                  "showTransfereeAsCaller": {
                    "type": "boolean"
                  },
                  "optOutHumanDetection": {
                    "type": "boolean"
                  },
                  "enableBridgeAudioCue": {
                    "type": "boolean"
                  },
                  "onHoldMusic": {
                    "type": "string"
                  },
                  "agentDetectionTimeoutMs": {
                    "type": "integer"
                  },
                  "agentDetectionPrompt": {
                    "type": "string"
                  },
                  "transferMessage": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "prompt",
                          "static_text"
                        ]
                      },
                      "text": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "text"
                    ],
                    "additionalProperties": false
                  },
                  "privateHandoffMessage": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "prompt",
                          "static_text"
                        ]
                      },
                      "text": {
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "text"
                    ],
                    "additionalProperties": false
                  },
                  "coldTransferMode": {
                    "type": "string"
                  }
                },
                "required": [
                  "type"
                ],
                "additionalProperties": false
              },
              "customSipHeaders": {
                "type": "object",
                "additionalProperties": {
                  "type": "string"
                }
              },
              "headerCredential": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "format": "uuid"
                  },
                  "version": {
                    "type": "string",
                    "pattern": "^[a-f0-9]{64}$"
                  }
                },
                "required": [
                  "id",
                  "version"
                ],
                "additionalProperties": false
              },
              "ignoreE164Validation": {
                "type": "boolean"
              }
            },
            "required": [
              "destination",
              "option",
              "customSipHeaders",
              "ignoreE164Validation"
            ],
            "additionalProperties": false
          },
          "variables": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "name": {
                  "type": "string",
                  "minLength": 1
                },
                "type": {
                  "type": "string",
                  "enum": [
                    "string",
                    "number",
                    "boolean",
                    "enum"
                  ]
                },
                "description": {
                  "type": "string"
                },
                "choices": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              },
              "required": [
                "name",
                "type",
                "description"
              ],
              "additionalProperties": false
            }
          },
          "modelChoice": {
            "type": "object",
            "properties": {
              "model": {
                "$ref": "#/components/schemas/ModelIdentity"
              },
              "credential": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  "version": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  },
                  "provider": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 256
                  }
                },
                "required": [
                  "id",
                  "version",
                  "provider"
                ],
                "additionalProperties": false
              },
              "type": {
                "type": "string",
                "enum": [
                  "cascading"
                ]
              },
              "highPriority": {
                "type": "boolean"
              },
              "reasoningEffort": {
                "type": "string",
                "enum": [
                  "low",
                  "medium",
                  "high"
                ]
              }
            },
            "required": [
              "model",
              "type",
              "highPriority"
            ],
            "additionalProperties": false
          },
          "componentId": {
            "type": "string",
            "minLength": 1
          }
        },
        "required": [
          "id",
          "kind",
          "edges"
        ],
        "additionalProperties": false
      },
      "ModelIdentity": {
        "type": "object",
        "properties": {
          "model_id": {
            "type": "string",
            "minLength": 1,
            "pattern": "\\S"
          },
          "provider": {
            "type": "string",
            "minLength": 1,
            "pattern": "\\S"
          },
          "tier": {
            "type": "string",
            "enum": [
              "frontier",
              "cumulus-served",
              "customer-gpu"
            ]
          }
        },
        "required": [
          "model_id",
          "provider",
          "tier"
        ],
        "additionalProperties": false
      },
      "AgentLayout": {
        "type": "object",
        "properties": {
          "flow": {
            "type": "object",
            "properties": {
              "nodes": {
                "type": "object",
                "additionalProperties": {
                  "type": "object",
                  "properties": {
                    "x": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    },
                    "y": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    }
                  },
                  "required": [
                    "x",
                    "y"
                  ],
                  "additionalProperties": false
                }
              },
              "start": {
                "type": "object",
                "properties": {
                  "x": {
                    "type": "number",
                    "minimum": -10000000,
                    "maximum": 10000000
                  },
                  "y": {
                    "type": "number",
                    "minimum": -10000000,
                    "maximum": 10000000
                  }
                },
                "required": [
                  "x",
                  "y"
                ],
                "additionalProperties": false
              },
              "viewport": {
                "type": "object",
                "properties": {
                  "x": {
                    "type": "number",
                    "minimum": -10000000,
                    "maximum": 10000000
                  },
                  "y": {
                    "type": "number",
                    "minimum": -10000000,
                    "maximum": 10000000
                  },
                  "zoom": {
                    "type": "number",
                    "minimum": 0.01,
                    "maximum": 100
                  }
                },
                "required": [
                  "x",
                  "y",
                  "zoom"
                ],
                "additionalProperties": false
              }
            },
            "required": [
              "nodes"
            ],
            "additionalProperties": false
          },
          "components": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "properties": {
                "nodes": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "object",
                    "properties": {
                      "x": {
                        "type": "number",
                        "minimum": -10000000,
                        "maximum": 10000000
                      },
                      "y": {
                        "type": "number",
                        "minimum": -10000000,
                        "maximum": 10000000
                      }
                    },
                    "required": [
                      "x",
                      "y"
                    ],
                    "additionalProperties": false
                  }
                },
                "start": {
                  "type": "object",
                  "properties": {
                    "x": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    },
                    "y": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    }
                  },
                  "required": [
                    "x",
                    "y"
                  ],
                  "additionalProperties": false
                },
                "viewport": {
                  "type": "object",
                  "properties": {
                    "x": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    },
                    "y": {
                      "type": "number",
                      "minimum": -10000000,
                      "maximum": 10000000
                    },
                    "zoom": {
                      "type": "number",
                      "minimum": 0.01,
                      "maximum": 100
                    }
                  },
                  "required": [
                    "x",
                    "y",
                    "zoom"
                  ],
                  "additionalProperties": false
                }
              },
              "required": [
                "nodes"
              ],
              "additionalProperties": false
            }
          }
        },
        "required": [
          "flow",
          "components"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}

Errors and recovery

See API error handling and Troubleshooting.

Content version 41b2f3daMarkdown source
publications.get · Cumulus Talos docs